GNU bug report logs - #44034
28.0.50; X-widget: assertion '!widget->priv->alloc_needed' failed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Maximiliano Sandoval <msandova@HIDDEN>; dated Fri, 16 Oct 2020 15:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44034 <at> debbugs.gnu.org:


Received: (at 44034) by debbugs.gnu.org; 16 Oct 2020 16:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 12:14:06 2020
Received: from localhost ([127.0.0.1]:60664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTSMo-0005tu-B5
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 12:14:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kTSMm-0005tI-V1
 for 44034 <at> debbugs.gnu.org; Fri, 16 Oct 2020 12:14:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sxXz6HHfIDpsmGHK3AUYPx8lDjpqvObBSV8U/P8TBCk=; b=I1rQcT3SwimpGFObhIFhnN8LQb
 BJLEqHKsk8X6poIhJl/cIlRpUI7EjQoQgmCUWTCewVGIDmSLuL9bSDIETuJYkz3PqRbIwItLcfi+0
 AGbqwca+QZntS/MjOCob19c5Vvf2F7qrhvxHwwn1mr1aIxQq4xxUfrYmhzMBc1ymkiKo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kTSMd-0006dY-NA; Fri, 16 Oct 2020 18:13:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Maximiliano Sandoval <msandova@HIDDEN>
Subject: Re: bug#44034: 28.0.50; X-widget: assertion
 '!widget->priv->alloc_needed' failed
References: <emHYzVzoBR3sWk2ylX7pzEoGAZICxb32RxNnWd74jsnjXEXsmT8SD0Mz-EtMto2wzGOGwg1N7rP5GW9q2UF9exwuhcLqqyyKfFKWdK2WOn8=@protonmail.com>
X-Now-Playing: Thomas Mery's _Les couleurs, les ombres_: "Aux =?utf-8?Q?fe?=
 =?utf-8?Q?n=C3=AAtre?= immenses"
Date: Fri, 16 Oct 2020 18:13:54 +0200
In-Reply-To: <emHYzVzoBR3sWk2ylX7pzEoGAZICxb32RxNnWd74jsnjXEXsmT8SD0Mz-EtMto2wzGOGwg1N7rP5GW9q2UF9exwuhcLqqyyKfFKWdK2WOn8=@protonmail.com>
 (Maximiliano Sandoval's message of "Fri, 16 Oct 2020 11:24:12 +0000")
Message-ID: <87blh22lod.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Maximiliano Sandoval <msandova@HIDDEN> writes: > In
 `~/some.html`. > > - Run in `emacs -Q` the function
 `(xwidget-webkit-browse-url
 > "file://home/USERNAME/some.html") or whatever is the complete path of >
 the file.` At this point two (or maybe fo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44034
Cc: "fejfighter@HIDDEN" <fejfighter@HIDDEN>, 44034 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Maximiliano Sandoval <msandova@HIDDEN> writes:

> In `~/some.html`.
>
> - Run in `emacs -Q` the function `(xwidget-webkit-browse-url
> "file://home/USERNAME/some.html") or whatever is the complete path of
> the file.` At this point two (or maybe four?) of the errors should
> appear on the terminal.

I'm unable to reproduce this bug on Debian bullseye.

Could you use `M-x report-emacs-bug' and post the version/OS information
on your system?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44034; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2020 15:25:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 11:25:48 2020
Received: from localhost ([127.0.0.1]:60544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTRc3-0000L8-TD
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 11:25:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:44050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <msandova@HIDDEN>) id 1kTNqS-0001rU-NK
 for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 07:24:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57350)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <msandova@HIDDEN>)
 id 1kTNqS-0007i0-Hj
 for bug-gnu-emacs@HIDDEN; Fri, 16 Oct 2020 07:24:24 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:63522)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <msandova@HIDDEN>)
 id 1kTNqP-00081N-Pj
 for bug-gnu-emacs@HIDDEN; Fri, 16 Oct 2020 07:24:23 -0400
Date: Fri, 16 Oct 2020 11:24:12 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1602847457;
 bh=yH/tBIkntl66ld/6o4DjOJbESEfoEXOK10wrw/G4Ock=;
 h=Date:To:From:Cc:Reply-To:Subject:From;
 b=Ij1eeK+UCJyFtSOJjNoPiSSXjYPS3Pu9aBG9bp0u4XmhlgW/E2QTcjK5qHI4hq2WO
 dbQyHNYTnPeSck0u1F7IKRbNIOVBVSFzy9pshRfeZM2fh8gyvESwFTSHcBUfONHR30
 MGj8dJr249EFYyIxKa85Bl2I8eH1Am9k2lDLwkXM=
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: Maximiliano Sandoval <msandova@HIDDEN>
Subject: 28.0.50; X-widget: assertion '!widget->priv->alloc_needed' failed
Message-ID: <emHYzVzoBR3sWk2ylX7pzEoGAZICxb32RxNnWd74jsnjXEXsmT8SD0Mz-EtMto2wzGOGwg1N7rP5GW9q2UF9exwuhcLqqyyKfFKWdK2WOn8=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-0.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,FREEMAIL_REPLYTO
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.18;
 envelope-from=msandova@HIDDEN; helo=mail1.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/16 07:24:18
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLYTO=1, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: When opening a file using xwidget I get an error ```
 (emacs:150587):
 Gtk-CRITICAL **: 12:12:04.741: gtk_widget_draw: assertion
 '!widget->priv->alloc_needed'
 failed (emacs:150587): Gtk-CRITICAL **: 12:12:21.983: gtk_widget_draw:
 assertion '!widget->priv->alloc_needed' failed 
 Content analysis details:   (3.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (msandova[at]protonmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 FREEMAIL_REPLYTO       Reply-To/From or Reply-To/body contain
 different freemails
 2.0 SPOOFED_FREEMAIL       No description available.
 1.7 SPOOFED_FREEM_REPTO    Forged freemail sender with freemail
 reply-to
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 16 Oct 2020 11:25:46 -0400
Cc: "fejfighter@HIDDEN" <fejfighter@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Maximiliano Sandoval <msandova@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

When opening a file using xwidget I get an error

```
(emacs:150587): Gtk-CRITICAL **: 12:12:04.741: gtk_widget_draw: assertion '=
!widget->priv->alloc_needed' failed

(emacs:150587): Gtk-CRITICAL **: 12:12:21.983: gtk_widget_draw: assertion '=
!widget->priv->alloc_needed' failed

(emacs:151415): GLib-GObject-WARNING **: 12:18:44.591: instance with invali=
d (NULL) class pointer

(emacs:151415): GLib-GObject-CRITICAL **: 12:18:44.591: g_signal_handlers_d=
isconnect_matched: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
```

## How to reproduce:

As in a previous bug,

- Create a file with contents:

```
<head><meta charset=3D"UTF-8"></head>
<p><strong>From</strong>: updates@HIDDEN</br><strong>To</strong>=
: user@HIDDEN</br><strong>Date</strong>: Mon 12 Oct 2020 10:39:34 PM CES=
T</br><strong>Subject</strong>: [Fedora Update] [comment] toolbox-0.0.96-1.=
fc33</p><pre>
The following comment has been added to the toolbox-0.0.96-1.fc33 update:

bodhi - 2020-10-12 20:39:34.343089 (karma: 0)
rishi edited this update.

To reply to this comment, please visit the URL at the bottom of this mail

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D
=C2=A0=C2=A0=C2=A0=C2=A0 FEDORA-2020-12c4232ccb
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D
=C2=A0=C2=A0=C2=A0 Release: Fedora 33
=C2=A0=C2=A0=C2=A0=C2=A0 Status: testing
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Type: bugfix
=C2=A0=C2=A0 Severity: high
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Karma: 4
=C2=A0=C2=A0=C2=A0 Request: stable
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Notes: * Don't break GNU Readline's ctrl-p s=
hortcut * Enable system tests
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 : on Fedora 33=
 * Fix containers with missing `/media`
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 : possibly due=
 to a failed RPM transaction * Give access
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 : to the udev =
database * Unbreak X11 applications with
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 : GNOME 3.38 *=
 Update default release to 31 for non-
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 : Fedora hosts
=C2=A0 Submitter: rishi
=C2=A0 Submitted: 2020-10-02 13:56:36.076520
=C2=A0=C2=A0 Comments: bodhi - 2020-10-12 20:39:34.343089 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ri=
shi edited this update.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Fi=
xes issues with x11, no notable regressions.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-07 14:20:29.828510 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update has been submitted for stable by bodhi.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 pn=
emade - 2020-10-07 14:20:29.375296 (karma 1)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 I =
can run x11 applications now. Rest usage of toolbox
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 lo=
oks fine.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ca=
iro - 2020-10-02 22:57:21.043782 (karma 1)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-02 22:20:59.046677 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update can be pushed to stable now if the
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ma=
intainer wishes
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-02 22:18:06.993838 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update has been pushed to testing.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 fe=
borges - 2020-10-02 14:34:52.612994 (karma 1)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Af=
ter commenting out `default_sysctls =3D ...` from
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 /u=
sr/share/containers/containers.conf I was able to
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 te=
st and verify that this update works. I was pointed
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ou=
t to
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ht=
tps://github.com/containers/podman/issues/7766=C2=A0 I am
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ab=
le to run x11 applications again! Ctrl + P also
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 wo=
rks as expected. /media is present, same for udev
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 da=
tabase.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-02 14:24:41.395885 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update's test gating status has been changed to
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 'i=
gnored'.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-02 13:56:36.568529 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update's test gating status has been changed to
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 'w=
aiting'.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-02 13:56:36.499889 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update's test gating status has been changed to
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 'i=
gnored'.
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 bo=
dhi - 2020-10-02 13:56:36.193084 (karma 0)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Th=
is update has been submitted for testing by rishi.

=C2=A0 https://bodhi.fedoraproject.org/updates/FEDORA-2020-12c4232ccb

</pre>
```

In `~/some.html`.

- Run in `emacs -Q` the function `(xwidget-webkit-browse-url "file://home/U=
SERNAME/some.html") or whatever is the complete path of the file.` At this =
point two (or maybe four?) of the errors should appear on the terminal.

- Open the buffer selection buffer via `C-x C-b` and click the xwidget buff=
er in order to get the other two errors.

For additional info and screencasts see https://github.com/masm11/emacs/iss=
ues/71 and https://github.com/masm11/emacs/issues/72.

This was reproduced using the latest commit of Emacs master.

--
Maximiliano Sandoval R.




Acknowledgement sent to Maximiliano Sandoval <msandova@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44034; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Oct 2020 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.